import { Account, Context, Pda, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi';
import { MetadataDelegateRoleSeedArgs } from '../../hooked';
import { Key, KeyArgs } from '../types';
export type MetadataDelegateRecord = Account<MetadataDelegateRecordAccountData>;
export type MetadataDelegateRecordAccountData = {
    key: Key;
    bump: number;
    mint: PublicKey;
    delegate: PublicKey;
    updateAuthority: PublicKey;
};
export type MetadataDelegateRecordAccountDataArgs = {
    key: KeyArgs;
    bump: number;
    mint: PublicKey;
    delegate: PublicKey;
    updateAuthority: PublicKey;
};
export declare function getMetadataDelegateRecordAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MetadataDelegateRecordAccountDataArgs, MetadataDelegateRecordAccountData>;
export declare function deserializeMetadataDelegateRecord(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): MetadataDelegateRecord;
export declare function fetchMetadataDelegateRecord(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<MetadataDelegateRecord>;
export declare function safeFetchMetadataDelegateRecord(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<MetadataDelegateRecord | null>;
export declare function fetchAllMetadataDelegateRecord(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<MetadataDelegateRecord[]>;
export declare function safeFetchAllMetadataDelegateRecord(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<MetadataDelegateRecord[]>;
export declare function getMetadataDelegateRecordGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi").GpaBuilder<MetadataDelegateRecord, {
    key: KeyArgs;
    bump: number;
    mint: PublicKey;
    delegate: PublicKey;
    updateAuthority: PublicKey;
}>;
export declare function getMetadataDelegateRecordSize(): number;
export declare function findMetadataDelegateRecordPda(context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, seeds: {
    mint: PublicKey;
    delegateRole: MetadataDelegateRoleSeedArgs;
    updateAuthority: PublicKey;
    delegate: PublicKey;
}): Pda;
