import { Amount, Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { Collection, CollectionArgs, CollectionDetails, CollectionDetailsArgs, Creator, CreatorArgs, PrintSupply, PrintSupplyArgs, TokenStandard, TokenStandardArgs, Uses, UsesArgs } from '../types';
export type CreateV1InstructionAccounts = {
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    mint: PublicKey | Signer;
    authority?: Signer;
    payer?: Signer;
    updateAuthority?: PublicKey | Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
};
export type CreateV1InstructionData = {
    discriminator: number;
    createV1Discriminator: number;
    name: string;
    symbol: string;
    uri: string;
    sellerFeeBasisPoints: Amount<'%', 2>;
    creators: Option<Array<Creator>>;
    primarySaleHappened: boolean;
    isMutable: boolean;
    tokenStandard: TokenStandard;
    collection: Option<Collection>;
    uses: Option<Uses>;
    collectionDetails: Option<CollectionDetails>;
    ruleSet: Option<PublicKey>;
    decimals: Option<number>;
    printSupply: Option<PrintSupply>;
};
export type CreateV1InstructionDataArgs = {
    name: string;
    symbol?: string;
    uri: string;
    sellerFeeBasisPoints: Amount<'%', 2>;
    creators: Option<Array<CreatorArgs>>;
    primarySaleHappened?: boolean;
    isMutable?: boolean;
    tokenStandard: TokenStandardArgs;
    collection?: Option<CollectionArgs>;
    uses?: Option<UsesArgs>;
    collectionDetails?: Option<CollectionDetailsArgs>;
    ruleSet?: Option<PublicKey>;
    decimals?: Option<number>;
    printSupply?: Option<PrintSupplyArgs>;
};
export declare function getCreateV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateV1InstructionDataArgs, CreateV1InstructionData>;
export declare function createV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: CreateV1InstructionAccounts & CreateV1InstructionDataArgs): TransactionBuilder;
