import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type DelegateCollectionV1InstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type DelegateCollectionV1InstructionData = {
    discriminator: number;
    delegateCollectionV1Discriminator: number;
    authorizationData: Option<AuthorizationData>;
};
export type DelegateCollectionV1InstructionDataArgs = {
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getDelegateCollectionV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DelegateCollectionV1InstructionDataArgs, DelegateCollectionV1InstructionData>;
export declare function delegateCollectionV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: DelegateCollectionV1InstructionAccounts & DelegateCollectionV1InstructionDataArgs): TransactionBuilder;
