import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type DelegateUpdateV1InstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type DelegateUpdateV1InstructionData = {
    discriminator: number;
    delegateUpdateV1Discriminator: number;
    authorizationData: Option<AuthorizationData>;
};
export type DelegateUpdateV1InstructionDataArgs = {
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getDelegateUpdateV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DelegateUpdateV1InstructionDataArgs, DelegateUpdateV1InstructionData>;
export declare function delegateUpdateV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: DelegateUpdateV1InstructionAccounts & DelegateUpdateV1InstructionDataArgs): TransactionBuilder;
