import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type LockV1InstructionAccounts = {
    authority?: Signer;
    tokenOwner?: PublicKey;
    token: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    tokenRecord?: PublicKey;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type LockV1InstructionData = {
    discriminator: number;
    lockV1Discriminator: number;
    authorizationData: Option<AuthorizationData>;
};
export type LockV1InstructionDataArgs = {
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getLockV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<LockV1InstructionDataArgs, LockV1InstructionData>;
export declare function lockV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: LockV1InstructionAccounts & LockV1InstructionDataArgs): TransactionBuilder;
