import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type UnlockV1InstructionAccounts = {
    authority?: Signer;
    tokenOwner?: PublicKey;
    token: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    tokenRecord?: PublicKey;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type UnlockV1InstructionData = {
    discriminator: number;
    unlockV1Discriminator: number;
    authorizationData: Option<AuthorizationData>;
};
export type UnlockV1InstructionDataArgs = {
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getUnlockV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UnlockV1InstructionDataArgs, UnlockV1InstructionData>;
export declare function unlockV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: UnlockV1InstructionAccounts & UnlockV1InstructionDataArgs): TransactionBuilder;
