import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { Creator, CreatorArgs } from '../types';
export type UpdateMetadataAccountInstructionAccounts = {
    metadata: PublicKey;
    updateAuthority?: Signer;
};
export type UpdateMetadataAccountInstructionData = {
    discriminator: number;
    data: Option<{
        name: string;
        symbol: string;
        uri: string;
        sellerFeeBasisPoints: number;
        creators: Option<Array<Creator>>;
    }>;
    newUpdateAuthority: Option<PublicKey>;
    primarySaleHappened: Option<boolean>;
};
export type UpdateMetadataAccountInstructionDataArgs = {
    data: Option<{
        name: string;
        symbol: string;
        uri: string;
        sellerFeeBasisPoints: number;
        creators: Option<Array<CreatorArgs>>;
    }>;
    newUpdateAuthority: Option<PublicKey>;
    primarySaleHappened: Option<boolean>;
};
export declare function getUpdateMetadataAccountInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UpdateMetadataAccountInstructionDataArgs, UpdateMetadataAccountInstructionData>;
export declare function updateMetadataAccount(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: UpdateMetadataAccountInstructionAccounts & UpdateMetadataAccountInstructionDataArgs): TransactionBuilder;
