import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type UseV1InstructionAccounts = {
    authority?: Signer;
    delegateRecord?: PublicKey;
    token?: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type UseV1InstructionData = {
    discriminator: number;
    useV1Discriminator: number;
    authorizationData: Option<AuthorizationData>;
};
export type UseV1InstructionDataArgs = {
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getUseV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UseV1InstructionDataArgs, UseV1InstructionData>;
export declare function useV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: UseV1InstructionAccounts & UseV1InstructionDataArgs): TransactionBuilder;
