import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { VerificationArgs, VerificationArgsArgs } from '../types';
export type VerifyInstructionAccounts = {
    authority?: Signer;
    delegateRecord?: PublicKey;
    metadata: PublicKey;
    collectionMint?: PublicKey;
    collectionMetadata?: PublicKey;
    collectionMasterEdition?: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
};
export type VerifyInstructionData = {
    discriminator: number;
    verificationArgs: VerificationArgs;
};
export type VerifyInstructionDataArgs = {
    verificationArgs: VerificationArgsArgs;
};
export declare function getVerifyInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<VerifyInstructionDataArgs, VerifyInstructionData>;
export declare function verify(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: VerifyInstructionAccounts & VerifyInstructionDataArgs): TransactionBuilder;
