"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isBurnArgs = exports.burnArgs = exports.getBurnArgsSerializer = void 0;
function getBurnArgsSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        [
            'V1',
            s.struct([['amount', s.u64()]], { description: 'V1' }),
        ],
    ], { description: 'BurnArgs' });
}
exports.getBurnArgsSerializer = getBurnArgsSerializer;
function burnArgs(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.burnArgs = burnArgs;
function isBurnArgs(kind, value) {
    return value.__kind === kind;
}
exports.isBurnArgs = isBurnArgs;
//# sourceMappingURL=burnArgs.js.map