"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEscrowAuthority = exports.escrowAuthority = exports.getEscrowAuthoritySerializer = void 0;
function getEscrowAuthoritySerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        ['TokenOwner', s.unit()],
        [
            'Creator',
            s.struct([['fields', s.tuple([s.publicKey()])]], { description: 'Creator' }),
        ],
    ], { description: 'EscrowAuthority' });
}
exports.getEscrowAuthoritySerializer = getEscrowAuthoritySerializer;
function escrowAuthority(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.escrowAuthority = escrowAuthority;
function isEscrowAuthority(kind, value) {
    return value.__kind === kind;
}
exports.isEscrowAuthority = isEscrowAuthority;
//# sourceMappingURL=escrowAuthority.js.map