"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isLockArgs = exports.lockArgs = exports.getLockArgsSerializer = void 0;
const _1 = require(".");
function getLockArgsSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        [
            'V1',
            s.struct([
                [
                    'authorizationData',
                    s.option((0, _1.getAuthorizationDataSerializer)(context)),
                ],
            ], { description: 'V1' }),
        ],
    ], { description: 'LockArgs' });
}
exports.getLockArgsSerializer = getLockArgsSerializer;
function lockArgs(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.lockArgs = lockArgs;
function isLockArgs(kind, value) {
    return value.__kind === kind;
}
exports.isLockArgs = isLockArgs;
//# sourceMappingURL=lockArgs.js.map