"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isProgrammableConfig = exports.programmableConfig = exports.getProgrammableConfigSerializer = void 0;
function getProgrammableConfigSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        [
            'V1',
            s.struct([['ruleSet', s.option(s.publicKey())]], { description: 'V1' }),
        ],
    ], { description: 'ProgrammableConfig' });
}
exports.getProgrammableConfigSerializer = getProgrammableConfigSerializer;
function programmableConfig(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.programmableConfig = programmableConfig;
function isProgrammableConfig(kind, value) {
    return value.__kind === kind;
}
exports.isProgrammableConfig = isProgrammableConfig;
//# sourceMappingURL=programmableConfig.js.map