"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRuleSetToggle = exports.ruleSetToggle = exports.getRuleSetToggleSerializer = void 0;
function getRuleSetToggleSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        ['None', s.unit()],
        ['Clear', s.unit()],
        [
            'Set',
            s.struct([['fields', s.tuple([s.publicKey()])]], { description: 'Set' }),
        ],
    ], { description: 'RuleSetToggle' });
}
exports.getRuleSetToggleSerializer = getRuleSetToggleSerializer;
function ruleSetToggle(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.ruleSetToggle = ruleSetToggle;
function isRuleSetToggle(kind, value) {
    return value.__kind === kind;
}
exports.isRuleSetToggle = isRuleSetToggle;
//# sourceMappingURL=ruleSetToggle.js.map