import { Context, GetDataEnumKind, GetDataEnumKindContent, Option, Serializer } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '.';
export type TransferArgs = {
    __kind: 'V1';
    amount: bigint;
    authorizationData: Option<AuthorizationData>;
};
export type TransferArgsArgs = {
    __kind: 'V1';
    amount: number | bigint;
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getTransferArgsSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferArgsArgs, TransferArgs>;
export declare function transferArgs(kind: 'V1', data: GetDataEnumKindContent<TransferArgsArgs, 'V1'>): GetDataEnumKind<TransferArgsArgs, 'V1'>;
export declare function isTransferArgs<K extends TransferArgs['__kind']>(kind: K, value: TransferArgs): value is TransferArgs & {
    __kind: K;
};
