"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isUnlockArgs = exports.unlockArgs = exports.getUnlockArgsSerializer = void 0;
const _1 = require(".");
function getUnlockArgsSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        [
            'V1',
            s.struct([
                [
                    'authorizationData',
                    s.option((0, _1.getAuthorizationDataSerializer)(context)),
                ],
            ], { description: 'V1' }),
        ],
    ], { description: 'UnlockArgs' });
}
exports.getUnlockArgsSerializer = getUnlockArgsSerializer;
function unlockArgs(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.unlockArgs = unlockArgs;
function isUnlockArgs(kind, value) {
    return value.__kind === kind;
}
exports.isUnlockArgs = isUnlockArgs;
//# sourceMappingURL=unlockArgs.js.map