"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isUseArgs = exports.useArgs = exports.getUseArgsSerializer = void 0;
const _1 = require(".");
function getUseArgsSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        [
            'V1',
            s.struct([
                [
                    'authorizationData',
                    s.option((0, _1.getAuthorizationDataSerializer)(context)),
                ],
            ], { description: 'V1' }),
        ],
    ], { description: 'UseArgs' });
}
exports.getUseArgsSerializer = getUseArgsSerializer;
function useArgs(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.useArgs = useArgs;
function isUseArgs(kind, value) {
    return value.__kind === kind;
}
exports.isUseArgs = isUseArgs;
//# sourceMappingURL=useArgs.js.map